package com.gree.mall.manager.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum VenderTypeEnum implements BaseEnum {
    M("M","辅材"),
    P("P","配件"),
    A("A","辅材和配件"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
